{
    ColCalc - Una Calcolatrice per il Codice a Colori
    Copyright (C) 2000,2001 Giuseppe Perotti, I1EPJ

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit stdval;

interface

var SE3  : array[1..3] of integer;
    SE6  : array[1..6] of integer;
    SE12 : array[1..12] of integer;
    SE24 : array[1..24] of integer;
    SE48 : array[1..48] of integer;
    SE96 : array[1..96] of integer;
    SE192: array[1..192] of integer;

implementation

initialization
     SE3[1] := 100;
     SE3[2] := 220;
     SE3[3] := 470;

     SE6[1] := 100;
     SE6[2] := 150;
     SE6[3] := 220;
     SE6[4] := 330;
     SE6[5] := 470;
     SE6[6] := 680;

     SE12[1] := 100;
     SE12[2] := 120;
     SE12[3] := 150;
     SE12[4] := 180;
     SE12[5] := 220;
     SE12[6] := 270;
     SE12[7] := 330;
     SE12[8] := 390;
     SE12[9] := 470;
     SE12[10] := 560;
     SE12[11] := 680;
     SE12[12] := 820;

     SE24[1] := 100;
     SE24[2] := 110;
     SE24[3] := 120;
     SE24[4] := 130;
     SE24[5] := 150;
     SE24[6] := 160;
     SE24[7] := 180;
     SE24[8] := 200;
     SE24[9] := 220;
     SE24[10] := 240;
     SE24[11] := 270;
     SE24[12] := 300;
     SE24[13] := 330;
     SE24[14] := 360;
     SE24[15] := 390;
     SE24[16] := 430;
     SE24[17] := 470;
     SE24[18] := 510;
     SE24[19] := 560;
     SE24[20] := 620;
     SE24[21] := 680;
     SE24[22] := 750;
     SE24[23] := 820;
     SE24[24] := 910;

     SE48[1] := 100;
     SE48[2] := 105;
     SE48[3] := 110;
     SE48[4] := 115;
     SE48[5] := 121;
     SE48[6] := 127;
     SE48[7] := 133;
     SE48[8] := 140;
     SE48[9] := 147;
     SE48[10] := 154;
     SE48[11] := 162;
     SE48[12] := 169;
     SE48[13] := 178;
     SE48[14] := 187;
     SE48[15] := 196;
     SE48[16] := 205;
     SE48[17] := 215;
     SE48[18] := 226;
     SE48[19] := 237;
     SE48[20] := 249;
     SE48[21] := 261;
     SE48[22] := 274;
     SE48[23] := 287;
     SE48[24] := 301;
     SE48[25] := 316;
     SE48[26] := 332;
     SE48[27] := 348;
     SE48[28] := 365;
     SE48[29] := 383;
     SE48[30] := 402;
     SE48[31] := 422;
     SE48[32] := 442;
     SE48[33] := 464;
     SE48[34] := 487;
     SE48[35] := 511;
     SE48[36] := 536;
     SE48[37] := 562;
     SE48[38] := 590;
     SE48[39] := 619;
     SE48[40] := 649;
     SE48[41] := 681;
     SE48[42] := 715;
     SE48[43] := 750;
     SE48[44] := 787;
     SE48[45] := 825;
     SE48[46] := 866;
     SE48[47] := 909;
     SE48[48] := 953;

     SE96[1] := 100;
     SE96[2] := 102;
     SE96[3] := 105;
     SE96[4] := 107;
     SE96[5] := 110;
     SE96[6] := 113;
     SE96[7] := 115;
     SE96[8] := 118;
     SE96[9] := 121;
     SE96[10] := 124;
     SE96[11] := 127;
     SE96[12] := 130;
     SE96[13] := 133;
     SE96[14] := 137;
     SE96[15] := 140;
     SE96[16] := 143;
     SE96[17] := 147;
     SE96[18] := 150;
     SE96[19] := 154;
     SE96[20] := 158;
     SE96[21] := 162;
     SE96[22] := 165;
     SE96[23] := 169;
     SE96[24] := 174;
     SE96[25] := 178;
     SE96[26] := 182;
     SE96[27] := 187;
     SE96[28] := 191;
     SE96[29] := 196;
     SE96[30] := 200;
     SE96[31] := 205;
     SE96[32] := 210;
     SE96[33] := 215;
     SE96[34] := 221;
     SE96[35] := 226;
     SE96[36] := 232;
     SE96[37] := 237;
     SE96[38] := 243;
     SE96[39] := 249;
     SE96[40] := 255;
     SE96[41] := 261;
     SE96[42] := 267;
     SE96[43] := 274;
     SE96[44] := 280;
     SE96[45] := 287;
     SE96[46] := 294;
     SE96[47] := 301;
     SE96[48] := 309;
     SE96[49] := 316;
     SE96[50] := 324;
     SE96[51] := 332;
     SE96[52] := 340;
     SE96[53] := 348;
     SE96[54] := 357;
     SE96[55] := 365;
     SE96[56] := 374;
     SE96[57] := 383;
     SE96[58] := 392;
     SE96[59] := 402;
     SE96[60] := 412;
     SE96[61] := 422;
     SE96[62] := 432;
     SE96[63] := 442;
     SE96[64] := 453;
     SE96[65] := 464;
     SE96[66] := 475;
     SE96[67] := 487;
     SE96[68] := 499;
     SE96[69] := 511;
     SE96[70] := 523;
     SE96[71] := 536;
     SE96[72] := 549;
     SE96[73] := 562;
     SE96[74] := 576;
     SE96[75] := 590;
     SE96[76] := 604;
     SE96[77] := 619;
     SE96[78] := 634;
     SE96[79] := 649;
     SE96[80] := 665;
     SE96[81] := 681;
     SE96[82] := 698;
     SE96[83] := 715;
     SE96[84] := 732;
     SE96[85] := 750;
     SE96[86] := 768;
     SE96[87] := 787;
     SE96[88] := 806;
     SE96[89] := 825;
     SE96[90] := 845;
     SE96[91] := 866;
     SE96[92] := 887;
     SE96[93] := 909;
     SE96[94] := 931;
     SE96[95] := 953;
     SE96[96] := 976;

     SE192[1] := 100;
     SE192[2] := 101;
     SE192[3] := 102;
     SE192[4] := 104;
     SE192[5] := 105;
     SE192[6] := 106;
     SE192[7] := 107;
     SE192[8] := 109;
     SE192[9] := 110;
     SE192[10] := 111;
     SE192[11] := 113;
     SE192[12] := 114;
     SE192[13] := 115;
     SE192[14] := 117;
     SE192[15] := 118;
     SE192[16] := 120;
     SE192[17] := 121;
     SE192[18] := 123;
     SE192[19] := 124;
     SE192[20] := 126;
     SE192[21] := 127;
     SE192[22] := 129;
     SE192[23] := 130;
     SE192[24] := 132;
     SE192[25] := 133;
     SE192[26] := 135;
     SE192[27] := 137;
     SE192[28] := 138;
     SE192[29] := 140;
     SE192[30] := 142;
     SE192[31] := 143;
     SE192[32] := 145;
     SE192[33] := 147;
     SE192[34] := 149;
     SE192[35] := 150;
     SE192[36] := 152;
     SE192[37] := 154;
     SE192[38] := 156;
     SE192[39] := 158;
     SE192[40] := 160;
     SE192[41] := 162;
     SE192[42] := 164;
     SE192[43] := 165;
     SE192[44] := 167;
     SE192[45] := 169;
     SE192[46] := 172;
     SE192[47] := 174;
     SE192[48] := 176;
     SE192[49] := 178;
     SE192[50] := 180;
     SE192[51] := 182;
     SE192[52] := 184;
     SE192[53] := 187;
     SE192[54] := 189;
     SE192[55] := 191;
     SE192[56] := 193;
     SE192[57] := 196;
     SE192[58] := 198;
     SE192[59] := 200;
     SE192[60] := 203;
     SE192[61] := 205;
     SE192[62] := 208;
     SE192[63] := 210;
     SE192[64] := 213;
     SE192[65] := 215;
     SE192[66] := 218;
     SE192[67] := 221;
     SE192[68] := 223;
     SE192[69] := 226;
     SE192[70] := 229;
     SE192[71] := 232;
     SE192[72] := 234;
     SE192[73] := 237;
     SE192[74] := 240;
     SE192[75] := 243;
     SE192[76] := 246;
     SE192[77] := 249;
     SE192[78] := 252;
     SE192[79] := 255;
     SE192[80] := 258;
     SE192[81] := 261;
     SE192[82] := 264;
     SE192[83] := 267;
     SE192[84] := 271;
     SE192[85] := 274;
     SE192[86] := 277;
     SE192[87] := 280;
     SE192[88] := 284;
     SE192[89] := 287;
     SE192[90] := 291;
     SE192[91] := 294;
     SE192[92] := 298;
     SE192[93] := 301;
     SE192[94] := 305;
     SE192[95] := 309;
     SE192[96] := 312;
     SE192[97] := 316;
     SE192[98] := 320;
     SE192[99] := 324;
     SE192[100] := 328;
     SE192[101] := 332;
     SE192[102] := 336;
     SE192[103] := 340;
     SE192[104] := 344;
     SE192[105] := 348;
     SE192[106] := 352;
     SE192[107] := 357;
     SE192[108] := 361;
     SE192[109] := 365;
     SE192[110] := 370;
     SE192[111] := 374;
     SE192[112] := 379;
     SE192[113] := 383;
     SE192[114] := 388;
     SE192[115] := 392;
     SE192[116] := 397;
     SE192[117] := 402;
     SE192[118] := 407;
     SE192[119] := 412;
     SE192[120] := 417;
     SE192[121] := 422;
     SE192[122] := 427;
     SE192[123] := 432;
     SE192[124] := 437;
     SE192[125] := 442;
     SE192[126] := 448;
     SE192[127] := 453;
     SE192[128] := 459;
     SE192[129] := 464;
     SE192[130] := 470;
     SE192[131] := 475;
     SE192[132] := 481;
     SE192[133] := 487;
     SE192[134] := 493;
     SE192[135] := 499;
     SE192[136] := 505;
     SE192[137] := 511;
     SE192[138] := 517;
     SE192[139] := 523;
     SE192[140] := 530;
     SE192[141] := 536;
     SE192[142] := 542;
     SE192[143] := 549;
     SE192[144] := 556;
     SE192[145] := 562;
     SE192[146] := 569;
     SE192[147] := 576;
     SE192[148] := 583;
     SE192[149] := 590;
     SE192[150] := 597;
     SE192[151] := 604;
     SE192[152] := 612;
     SE192[153] := 619;
     SE192[154] := 626;
     SE192[155] := 634;
     SE192[156] := 642;
     SE192[157] := 649;
     SE192[158] := 657;
     SE192[159] := 665;
     SE192[160] := 673;
     SE192[161] := 681;
     SE192[162] := 690;
     SE192[163] := 698;
     SE192[164] := 706;
     SE192[165] := 715;
     SE192[166] := 723;
     SE192[167] := 732;
     SE192[168] := 741;
     SE192[169] := 750;
     SE192[170] := 759;
     SE192[171] := 768;
     SE192[172] := 777;
     SE192[173] := 787;
     SE192[174] := 796;
     SE192[175] := 806;
     SE192[176] := 816;
     SE192[177] := 825;
     SE192[178] := 835;
     SE192[179] := 845;
     SE192[180] := 856;
     SE192[181] := 866;
     SE192[182] := 876;
     SE192[183] := 887;
     SE192[184] := 898;
     SE192[185] := 909;
     SE192[186] := 920;
     SE192[187] := 931;
     SE192[188] := 942;
     SE192[189] := 953;
     SE192[190] := 965;
     SE192[191] := 976;
     SE192[192] := 988;
end.
